POE::Resource::Signals(3)

NAME
POE::Resource::Signals - internal signal manager for POE::Kernel

SYNOPSIS
There is no public API.

DESCRIPTION
POE::Resource::Signals is a mix-in class for POE::Kernel. It provides the features needed to manage signals. It is used internally by POE::Kernel, so it has no public interface.

SEE ALSO
See "Signals" in POE::Kernel for a deeper discussion about POE's signal handling.

See "Signal Watcher Methods" in POE::Kernel for POE's public signals API.

See "Resources" in POE::Kernel for for public information about POE resources.

See POE::Resource for general discussion about resources and the classes that manage them.

BUGS
None known.

AUTHORS & COPYRIGHTS
Please see POE for more information about authors and contributors.